//
// Generated file, do not edit! Created by nedtool 4.6 from data_message.msg.
//

#ifndef _DATA_MESSAGE_M_H_
#define _DATA_MESSAGE_M_H_

#include <omnetpp.h>

// nedtool version check
#define MSGC_VERSION 0x0406
#if (MSGC_VERSION!=OMNETPP_VERSION)
#    error Version mismatch! Probably this file was generated by an earlier version of nedtool: 'make clean' should help.
#endif



/**
 * Class generated from <tt>data_message.msg:19</tt> by nedtool.
 * <pre>
 * //
 * // TODO generated message class
 * //
 * packet Data_message
 * {
 *     double reading;
 *     double rank;
 *     int destinationID;
 *     int sourceID;
 * }
 * </pre>
 */
class Data_message : public ::cPacket
{
  protected:
    double reading_var;
    double rank_var;
    int destinationID_var;
    int sourceID_var;

  private:
    void copy(const Data_message& other);

  protected:
    // protected and unimplemented operator==(), to prevent accidental usage
    bool operator==(const Data_message&);

  public:
    Data_message(const char *name=NULL, int kind=0);
    Data_message(const Data_message& other);
    virtual ~Data_message();
    Data_message& operator=(const Data_message& other);
    virtual Data_message *dup() const {return new Data_message(*this);}
    virtual void parsimPack(cCommBuffer *b);
    virtual void parsimUnpack(cCommBuffer *b);

    // field getter/setter methods
    virtual double getReading() const;
    virtual void setReading(double reading);
    virtual double getRank() const;
    virtual void setRank(double rank);
    virtual int getDestinationID() const;
    virtual void setDestinationID(int destinationID);
    virtual int getSourceID() const;
    virtual void setSourceID(int sourceID);
};

inline void doPacking(cCommBuffer *b, Data_message& obj) {obj.parsimPack(b);}
inline void doUnpacking(cCommBuffer *b, Data_message& obj) {obj.parsimUnpack(b);}


#endif // ifndef _DATA_MESSAGE_M_H_

